# Python: module reprap.plugins

reprap.plugins | index /usr/lib/python2.5/site-packages/reprap/plugins.py

`RepRap plugins system. All plugins are accessed though this module.`

Modules

``

os | sys |  |

Functions

``

getPlugin(pluginType, index)

getPlugins(pluginType)

listTitles(plugins)

loadPlugins(pluginsFolder, suffix)

Data
`` |  | PLUGIN_IMPORT = 1 PLUGIN_OUTPUT = 2 PLUGIN_TOOLHEAD = 3 __author__ = 'Stefan Blanke (greenarrow) (greenarrow@users.sourceforge.net)' __licence__ = '\npyRepRap is free software: you can redistribute...ap. If not, see <http://www.gnu.org/licenses/>.\n' __license__ = 'GPL 3.0' pluginsFolders = {1: 'import', 2: 'output', 3: 'toolhead'} pluginsPath = '/usr/share/reprap/plugins'

Author
`` |  | Stefan Blanke (greenarrow) (greenarrow@users.sourceforge.net)